Loading...
Searching...
No Matches
coap_resource_internal.h File Reference

Generic resource internal handling. More...

`#include "coap_internal.h"`
`#include "coap_uthash_internal.h"`
Include dependency graph for coap_resource_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_attr_t
| Limits the number of subscribers for each resource that this server support. More...
struct | coap_resource_t
| Abstraction of resource that can be attached to coap_context_t. More...

## Macros

#define | RESOURCES_ADD(r, obj) HASH_ADD(hh, (r), uri_path->s[0], (obj)->uri_path->length, (obj))
#define | RESOURCES_DELETE(r, obj) HASH_DELETE(hh, (r), (obj))
#define | RESOURCES_ITER(r, tmp)
#define | RESOURCES_FIND(r, k, res)

## Functions

void | coap_delete_all_resources (coap_context_t *context)
| Deletes all resources from given `context` and frees their storage.
void | coap_delete_attr (coap_attr_t *attr)
| Deletes an attribute.
coap_print_status_t | coap_print_wellknown (coap_context_t *, unsigned char *, size_t *, size_t, const coap_string_t *)

## Detailed Description

Generic resource internal handling.

Definition in file coap_resource_internal.h.